A vanishing theorem for a class of logarithmic D-modules
Full text
A vanishing theorem for a class of logarithmic D-modules F.J. Castro-Jim´enez, J. Gago-Vargas, M.I. Hartillo-Hermoso and J.M. Ucha January 24, 2007 To our beloved friend and colleague Pilar Pis´on, in memoriam. Abstract Let OX(resp. DX) be the sheaf of holomorphic functions (resp. the sheaf of linear differential operators with holomorphic coefficients) on X= Cn. Let D⊂Xbe a locally weakly quasi-homogeneous free divisor defined by a polynomial f. In this paper we prove that, locally, the annihilating ideal of 1/fkover DXis generated by linear differential operators of order 1 (for kbig enough). For this purpose we prove a vanishing theorem for the extension groups of a certain logarithmic DX–module with OX. The logarithmic DX–module is naturally associated with D(see Notation 1.1). This result is related to the so called Logarithmic Comparison Theorem. 1 Introduction Let us denote by OXthe sheaf of holomorphic functions on X:= Cnand by DXthe sheaf of linear differential operators with holomorphic coefficients on X. A local section Pof DXis a finite sum P=Pα∈Nnaα(x)∂αwhere x= (x1, . . ., xn), α= (α1, . . . , αn)∈Nn,aα(x) is a local section of the sheaf OXand ∂αstands for ∂α1 1· · · ∂αn neach ∂ibeing the partial derivative with respect to the variable xi. The order of such an element Pis by definition the non negative integer ord(P) := max{|α|:= Piαi|aα(x)6= 0}. For each point p∈Xwe will write Op:= OX,p and Dp:= DX,p. Let us fix a point p∈X. Denote by Der(Op) the Op-module of C-derivations of Op. The elements in Der(Op) are called (germs of) vector fields at the point p. This yields to the sheaf Der(OX) of vector fields on X. Vector fields are linear differential operators of order 1. Let Dbe a divisor (i.e. a hypersurface) on X. Following K. Saito [Saito 1980], a (germ of) vector field δ∈Der(Op) is said to be logarithmic with respect to D if δ(f) = af for some a∈ Op, where fis a local (reduced) equation of the germ (D, p)⊂(X, p). The Op-module of logarithmic vector fields (or logarithmic 1
derivations) with respect to Dis denoted by Der(−log D)pand it is closed under the bracket product [−,−]. This yields a coherent O-module sheaf denoted by Der(−log D), which is a sub-module sheaf of Der(OX). Definition 1.1 [Saito 1980] The germ of divisor (D, p)⊂(Cn, p)is said to be free if the Op-module Der(−log D)pof germs of logarithmic vector field with respect to Dis free (and in this case it is necessarily of rank n). If (D, p)is free we also say that Dis free at p. A divisor D⊂Cnis said to be free if the germ (D, p)is free for any p∈D. Saito’s criterion [Saito 1980] says that a divisor D≡(f= 0) is free at a point p∈Dif and only if there exists a basis {δ1,...,δn}of Der(−log D)p, say δi=Pjaij ∂j, whose determinant det((aij )) is equal to u·f, for some invertible power series u∈ Op(i.e. such that u(p)6= 0). Smooth divisors and normal crossing divisors are free. By [Saito 1980], any plane curve D⊂C2is a free divisor. Notation 1.1 The quotient Mlog D:= DX DXDer(−log D) plays a fundamental role in what follows. It is a coherent left DX–module and has been introduced in this context in [Calder´on 1999]. We are going to consider later some others related DX-modules. Attached to each germ (D, p) we will also consider the following two left ideals in Dp. First of all, the annihilating ideal AnnDp(1/f) = {P∈ Dpsuch that P(1/f) = 0} where fis a local (reduced) equation of the germ (D, p), and the ideal Ann(1) Dp(1/f) = Dp{P∈ Dpsuch that P(1/f) = 0 and ord(P) = 1}. An order 1 operator P∈ Dpsuch that P(1/f) = 0 must have the form δ+δ(f) fwhere δis a logarithmic derivation in Der(−log D)p. Notation 1.2 Let us denote by f Mlog Dthe coherent DX-module with stalks (f Mlog D)p:= Dp Ann(1) Dp(1/f) for fa local reduced equation of (D, p). Although the previous quotient module depends on the reduced equation fof the germ (D, p)they are all isomorphic for different reduced equations. 2
The module f Mlog Dadmits in the free Spencer case (see [Castro and Ucha 2002]; see also [Calder´on and Narv´aez 2005] for an intrinsic treatment of these objects) a free resolution (called the logarithmic Spencer resolution) analogous to the one of Mlog D(see [Calder´on 1999]): DX⊗OX∧•g Der(−log D)→f Mlog D→0 where g Der(−log D) denotes the free OX-module whose stalks are g Der(−log D)p:= {δ+δ(f) f|δ∈Der(−log D)p}. 2 Weak quasi-homogeneity In this paper we will consider a weight vector as an element (w1,...,wn)∈Qn with non negative coordinates and such that at least one wiis strictly positive. A weight vector w= (w1,...,wn) defines a filtration on the ring O=C{x}= C{x1,...,xn}of convergent power series with complex coefficients. If g(x) = Pαgαxαis a non zero element in Owe define its weight or its w-order as ordw(g) := min{α·w=Piαiwi|gα6= 0}. By definition the w-order of 0 is +∞. The so called w-filtration on O, which is a decreasing filtration, is defined by Fν=Fν(O) := {g∈ O | ordw(g)≥ν} for all ν∈Q. We have Fν=Ofor ν < 0. The associated graded ring is by definition grw(O) := ⊕ν≥0 Fν Fν+1 . Let us denote by r=r(w) the number of non zero coordinates of w. By assumption 1 ≤r≤n. The graded ring grw(O) is isomorphic to a polynomial ring in rvariables with coefficients in a convergent power series ring in n−r variables. To this end, assume (applying if necessary a permutation of the components (x1,...,xn)) that wi>0 for i= 1,...,r and wj= 0 for j= r+ 1,...,n. Let us write x′= (x1,...,xr), x′′ = (xr+1,...,xn) and define C{x′′}[x′]ν= X β∈Nr gβ(x′′)(x′)β∈C{x′′}[x′]|X i βiwi=νif gβ6= 0 . Then the vector space Fν/Fν+1 is isomorphic to C{x′′}[x′]ν. In this way, the weight vector winduces a graded structure on the ring C{x′′}[x′] = ⊕ν≥0C{x′′}[x′]ν. The graded rings grw(O) and C{x′′}[x′] are then isomorphic as graded rings. If no confusion arises elements in C{x′′}[x′]νare called weakly quasi-homogeneous (or WQH) power series of weight ν(with respect to the weight vector w). Any 3
non zero element gin Ocan be written in an unique way as a sum g=X ν≥0 gν where each gνis a WQH power series of weight ν. If the weight whas no zero coordinates (i.e. if r=r(w) = n) then Fν/Fν+1 is isomorphic to C[x]νthe vector space of quasi-homogeneous (QH) polynomials of weight ν. If a WQH power series f(x) has strictly positive weight ν= ordw(f) then it is WQH of weight 1 with respect to the weight vector (w1/ν, . . . , wn/ν). Definition 2.1 Let pbe a point in Cn. A germ of divisor (D, p)⊂(Cn, p)is said to be weakly quasi-homogeneous (WQH) if it can be defined by a WQH germ of convergent power series around p. If U⊂Cnis a non empty open set and D⊂Uis a divisor, we say that Dis locally weakly quasi-homogeneous (LWQH) if for any point p∈Dthe germ (D, p)is WQH. If r(w) = nthen weakly quasi-homogeneity is nothing but classical quasihomogeneity and locally weakly quasi-homogeneity coincides with the notion of locally quasi-homogeneity (see [Castro et al. 1996]), i.e. every locally quasihomogeneous (LQH) divisor is LWQH. The reciprocal does not hold. For example, the surface defined in C3by the polynomial xy(x+y)(xz +y) is LWQH but it is not LQH (see [Calder´on et al. 2002]). The O–module of germs of holomorphic vector fields DerC(O) is also filtered with respect to the given weight vector w, just by giving to each variable xi the weight wiand the weight −wito the partial derivative ∂i. The w–order of a non zero element δ=Piai∂i∈DerC(O) is then the (possibly negative) rational number ordw(δ) = min{ordw(ai)−wi|i= 1,...,n}. A vector field δ=Piaiδi=Pi,α ai,αxα∂i∈DerC(O) is said to be WQH of weight (or w–order) µ∈Qwith respect to the weight vector wif all monomials ai,αxα∂iin δhave the same weight µ, i.e. if ai,α 6= 0 then α·w−wi=µ. Any non zero vector field δ∈DerC(O) can be written in a unique way as a sum δ=Pµ∈Qδµwhere δµis the WQH part of δof w-order µ. We denote by χ=Pwixi∂ithe Euler vector field with respect to w. It is WQH of weight 0. If g∈ O is WQH of weight νthen χ(g) = νg. Remark 2.2 For any WQH vector field δof weight ν, a straightforward calculation proves that [χ, δ] = χδ −δχ =νδ. 3 Two basic lemmata Let (D, 0) ⊂(Cn,0) be a germ of a WQH free divisor, defined by some WQH power series f∈ O with respect to a weight vector w= (w1,...,wn)∈Qnand assume that the weight of fis 1. We recall that Der(−log D)0stands for the O0–module of germs of logarithmic derivations with respect to (D, 0). 4
Lemma 3.1 There exists a basis {δ1,...,δn}of Der(−log D)0such that: 1. δ1=χ. 2. Every δiis WQH with respect to the weight vector wand δi(f) = 0 for i≥2. 3. If we write δi=Paij ∂jfor some aij in O, then det(aij) = f. Proof. The result being well known, we include a complete proof for the sake of completeness. First of all, we have Der(−log D)0= Θf⊕ O · χ, where Θfis the O–module of vector fields annihilating f. The above decomposition follows from the equality δ= (δ−δ(f) fχ) + δ(f) fχand the fact that (δ−δ(f) fχ)(f) = 0, which holds for any δ∈Der(−log D)0. As Dis free, that is, Der(−log D)0is free of rank n, then Θfis free of rank n−1. As fis WQH of weight or w-order 1, so fi:= ∂f ∂xiis WQH of weight or w–order 1 −wi(we consider, as usual, the power series 0 to be WQH of order νfor any ν∈Q). Let us denote by SyzO(f1,...,fn) the O–module of syzygies among (f1,...,fn). The O-modules Θfand SyzO(f1,...,fn) are naturally isomorphic. Let us write Afor the graded ring C{x′′}[x′] and Aν=C{x′′}[x′]νfor ν∈Q (see the introduction for the notations). Let us consider the A–module ΘA,f of vector fields with coefficients in Aannihilating f. The A-modules ΘA,f and SyzA(f1,...,fn) are naturally isomorphic. By assumption f, f1,...,fnare homogeneous elements in A(more precisely, they are WQH power series of w-order 1,1−w1,...,1−wnrespectively). Then the syzygy A-module SyzA(f1,...,fn) (resp. ΘA,f ) is finitely generated and it is also graded with respect to the weight vector w. An element (a1,...,an)∈SyzA(f1,...,fn) (resp. Piai∂i∈ΘA,f ) is WQH of w-order µ∈Qif and only if it satisfies the condition ai∈Aµ+wi for i= 1,...,n. Then the A–modules ΘA,f and SyzA(f1,...,fn) are naturally isomorphic as graded A–modules. In fact this graded structure is induced on SyzA(f1,...,fn)⊂An[−w] by the shifted graded structure on An[−w] where (An[−w])µ=PiAµ+wifor any µ∈Q. As the inclusion A⊂ O is flat, the O– module SyzO(f1,...,fn) (and so Θf) has a finite system {η1,...,ηm}of WQH generators. Applying Saito’s criterion (see [Saito 1980]) to {χ, η1,...,ηm}we can choose among these vectors fields nelements generating Der(−log D)0and the determinant of its coefficients being equal to uf, with uinversible in O. Moreover, χmust be in this generating system, so we write the system {δ1, δ2,...,δn} with δ1=χand weight(δi) = νifor some νi∈Q,i= 2,...,n. If we write δi=Paij ∂jthen weight(aij) = wj+νi, so the determinant det((aij )) = uf is WQH of weight ν=Pwi+Pνi. If u=Puµthen uµ= 0 for all µ6=ν−1, that is, we have u=uν−1, so ν−1 = 0. Changing δ2by 1 uδ2we obtain the desired basis. 5
Lemma 3.2 Let (D, 0) ⊂(Cn,0) be a germ of free divisor as before and {χ, δ2,...,δn} a basis of Der(−log D)0as in Lemma 3.1, with weight(δi) = νi. Then for all subset J⊂ {2, . . . , n} 1−X j∈J νj>0. Proof. Each δi=Pn j=1 aij∂jis a WQH vector field of weight νiand because weight(∂j) = −ωjit follows that νi+ωj= weight(aij)≥0, if aij 6= 0. Let ∆ be the matrix whose rows are the weights of the aij : ∆ = ω1. . . ωr0... 0 ν2+ω1. . . ν2+ωrν2. . . ν2 . . . νn+ω1. . . νn+ωrνn. . . νn . Each summand in the determinant of the matrix (aij) is WQH and since weight(f) = 1, at least one summand is non zero and has weight 1. So there exists some i∈ {1,...,r}such that 1 = ωi+ n X j=2 (νj+ωi(j)),with i(j)6=i. If J⊂ {2,...,n}then 1−X j∈J νj=ωi+X j6∈J (νj+ωi(j)) + X j∈J,i(j)6=i ωi(j)>0. Remark 3.3 In Theorem 3.5 we will compute some Ext groups of the Dp– module (f Mlog D)pfor a class of free divisors Dand p∈D. For this purpose we will use the logarithmic Spencer resolution of (f Mlog D)p(see [Calder´on 1999]; see also [Castro and Ucha 2002]): DpO Op^•g Der(−log D)p→(f Mlog D)p→0 whose differential is defined as φℓ(P⊗e δ1∧ · · · ∧ e δℓ) = ℓ X i=1 (−1)i−1Pe δi⊗e δ1∧ · · · c ()i· · · ∧ e δℓ +X 1≤i<j≤ℓ (−1)i+jP⊗[e δi,e δj]∧e δ1∧ · · · c ()i···c ()j· · · ∧ e δℓ where c ()i,c ()jmeans that corresponding elements are missing and e δis nothing but δ+δ(f) ffor any δ∈Der(−log D)p, once a local reduced equation fof (D, p) has been chosen. 6
We will take a good basis {δ1,...,δn}of Der(−log D)pas in Lemma 3.1 which gives a corresponding basis {e δ1,...,e δn}of g Der(−log D)p. In addition, it will be useful for handling bases in VℓDer(−log D)p(and in Vℓg Der(−log D)p) to consider a lexicographical ordering with respect to the indexes of the elements δi:δi1∧· · ·∧δiℓprecedes δj1∧· · ·∧δjℓif i1=j1,...,is= jsand is+1 < js+1 for some s < ℓ. With respect to these bases we will identify DpO Op^ℓDer(−log D)pand DpO Op^ℓg Der(−log D)p with D(n ℓ) p. We will also write D(n ℓ) pas a direct sum Rℓ⊕Sℓwhere Rℓ=M 2≤j2<···<jℓ≤n Dp·e δ1∧e δj2∧· · ·∧e δjℓand Sℓ=M 2≤i1<···<iℓ≤n Dp·e δi1∧· · ·∧e δiℓ. With this choice of bases the matrices of the morphisms φℓ:Rℓ⊕Sℓ→ Rℓ−1⊕Sℓ−1have a special form: •The coordinate of φℓ(e δ1∧e δi2∧ · · · ∧ e δiℓ)corresponding to its “tail” e δi2∧ · · · ∧ e δiℓis e δ1−X j∈{i2,...,iℓ} νj. •The coordinate of φℓ(e δ1∧e δi2∧ · · · ∧ e δiℓ)corresponding to the element e δj2∧ · · · ∧ e δjℓis zero if 1/∈ {j2,...,jℓ}and (j2,...,jℓ)6= (i2,...,iℓ). So the matrices written by rows of the morphisms have the form AℓXℓ BℓCℓ, where Xℓis a diagonal n−1 ℓ−1×n−1 ℓ−1matrix with elements of the form e δ1− Pj∈{i2,...,iℓ}νjin its principal diagonal for all 2≤i2< . . . < iℓ=n. For our purposes we do not require to know the particular shape of matrices Aℓ, Bℓ, Cℓ. Let us remark that, as proven in Lemma 3.1, we have e δ1=δ1+ 1 = χ+ 1 and e δi=δifor i= 2,...,n. Remark 3.4 Given an Euler vector field χ=Pn i=1 ωixi∂iwith ωi>0, i = 1,...,r,ωi= 0, i =r+ 1,...,n, and ψ∈ O =C{x1,...,xn}, it is clear that the equation (χ+c)(h) = ψ has a convergent solution hfor any c > 0. To prove that, we decompose the given power series ψas the sum of its WQH parts (with respect to the weight vector 7
w)ψ=Pν∈Q+ψν. We write the unknown power series has h=Pν∈Q+hν. From the equation (χ+c)(h) = X ν∈Q+ (ν+c)hν=X ν∈Q+ ψν we get hν=1 c+νψνand so his the unique convergent solution. Moreover, (χ+c)(h) = 0 implies h= 0 and then the solution hof the non-homogeneous equation (χ+c)(h) = ψis unique once ψis fixed. More generally, if c1,...,cr are strictly positive real numbers, the C–linear morphism from Orto Ordefined by the diagonal matrix χ+c1 ... χ+cr is an isomorphism. This fact will plays a crucial role in what follows (see the proof of Theorem 3.5). Notation 3.1 For any integer k≥0we also consider, as in the Introduction, the coherent DX-module f M(k) log Dwith stalks (f M(k) log D)p:= Dp Ann(1) Dp(1/fk) where fis a local reduced equation of the germ (D, p). For k= 1 one has f M(1) log D=f Mlog D(see Introduction). We have a natural DX–module morphism ϕk D:f M(k) log D−→ OX[∗D]verifying ϕk D,p(P) = P(1 fk)for any P∈ DX,p. Once a local reduced equation f∈ Op of (D, p)has been chosen, we will write f M(k) log f=f M(k) log D. Theorem 3.5 Given a Spencer free divisor (D, p)defined at p∈X=Cnby a WQH power series f, then Exti Dp((f Mlog f)p,Op) = 0 for i= 0,...,n. Proof. We can assume p= 0 ∈X. The preceding Lemmata have prepared the computations: •We choose an adapted basis {δ1=χ, δ2,...,δn}of Der(−log D)0as in Lemma 3.1 with [χ+ 1, δj] = νjδjand [δi, δj] = Pn l=2 νij lδl. •We use the logarithmic Spencer resolution of (f Mlog D)0with respect to this basis, so the matrices of the morphisms in this resolution are like in Remark 3.3. 8
•The elements χ+ 1 −Pj∈{i2,...,iℓ}νjin the main diagonal of the upperright blocks of the matrices Xℓ(see Remark 3.3) verify by Lemma 3.2 that 1−Pj∈{i2,...,ip}νj>0. To compute the Ext groups, we apply the functor HomD0(−,O0) to the corresponding logarithmic Spencer complex (obtained by truncation of the logarithmic Spencer resolution of f Mlog f) 0−→ D0 φn −→ D(n n−1) 0 φn−1 −→ · · · φ2 −→ D(n 1) 0 φ1 −→ D0−→ 0, obtaining the complex 0−→ O0 φ∗ 1 −→ O(n 1) 0 φ∗ 2 −→ · · · φ∗ n−1 −→ O(n n−1) 0 φ∗ n −→ O0−→ 0, using the isomorphism HomD0(Dp 0,O0)≃ Op 0. The morphisms φ∗ icome from the φijust by applying the functor HomD0(−,O0). Using the notation of Remark 3.3 we will write the O0–module Vℓg Der(−log f)≃ O(n ℓ) 0as a direct sum Gℓ⊕Hℓwhere Gℓ=M 2≤j2<···<jℓ≤n O0·e δ1∧e δj2∧· · ·∧e δjℓand Hℓ=M 2≤i1<···<iℓ≤n O0·e δi1∧· · ·∧e δiℓ. We will identify the isomophic O–modules Hℓ−1and Gℓ. The matrix of the C–linear map φ∗ ℓ:Gℓ−1⊕Hℓ−1→Gℓ⊕Hℓis nothing but AℓXℓ BℓCℓ. We have Extℓ D0((f Mlog D)0,O0) = ker(φ∗ ℓ+1) Im (φ∗ ℓ). For (g, h)∈ker(φ∗ ℓ+1)⊂Gℓ⊕Hℓwe have Aℓ+1g+Xℓ+1h=Bℓ+1g+Cℓ+1h= 0. By Remark 3.4 there is a unique h′∈Hℓ−1such that Xℓh′=g. So, φ∗ ℓ(0, h′) = (g, h′′) where h′′ =Cℓ(h′)∈Hℓ. So (g, h)−(g, h′′) = (0, h −h′′) belongs to ker(φ∗ ℓ+1). In particular Xℓ+1(h−h′′) = 0 and then, again by Remark 3.4, h=h′′. We have proven (g, h)∈Im (φ∗ ℓ) and then Extℓ D0((f Mlog D)0,O0) = 0. Remark 3.6 The main idea of the proof of Theorem 3.5 has its origin in [Ucha 1999] (see also [Castro and Ucha 2001]). Given an integer k≥1, if f M(k) log fadmits a logarithmic Spencer resolution (analogous to the one of Remark 3.3) then Theorem 3.5 holds for f M(k) log f. Theorem 3.7 Let D⊂Xbe a Spencer free divisor. We also assume that Dis LWQH on X(i.e. the germ (D, p)can be defined by a WQH germ of 9